/*******************************************************************************
 * Copyright (c) 2018 Renesas Electronics Corporation. All rights reserved.
 *
 * DESCRIPTION   : remap driver header
 ******************************************************************************/
#ifndef REMAP_H_
#define REMAP_H_

#define REMAP_SIZE_MIN		(2*1024*1024)
#define REMAP_ALIGN_MASK	(~((1 << 21) - 1))

void remap_write_SICREMAP2M(uint32_t num, uint32_t value);

uint32_t remap_get_phys_addr(uint32_t remap_addr);
uint32_t remap_get_remap_addr(uint32_t phys_addr);

uint32_t remap_register(uint32_t addr, uint32_t size, uint32_t *remap_addr);
uint32_t remap_unregister(uint32_t remap_addr);

#endif /* REMAP_H_ */
